### Constructor

# GdkPixbuf.PixbufLoader.new_with_mime_type

#### Declaration [src]

    GdkPixbufLoader*
    gdk_pixbuf_loader_new_with_mime_type (
      const char* mime_type,
      GError** error
    )

#### Description [src]

Creates a new pixbuf loader object that always attempts to parse image data as if it were an image of MIME type `mime_type`, instead of identifying the type automatically.

This function is useful if you want an error if the image isn’t the expected MIME type; for loading image formats that can’t be reliably identified by looking at the data; or if the user manually forces a specific MIME type.

The list of supported mime types depends on what image loaders are installed, but typically “image/png”, “image/jpeg”, “image/gif”, “image/tiff” and “image/x-xpixmap” are among the supported mime types. To obtain the full list of supported mime types, call `gdk_pixbuf_format_get_mime_types()` on each of the `GdkPixbufFormat` structs returned by `gdk_pixbuf_get_formats()`.

#### Parameters

`mime_type` | `const char*`
| the mime type to be loaded
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GdkPixbufLoader`
A newly-created pixbuf loader.
Ownership of the data is transferred to the caller